Bug 60848 - [bisected] r600g: add htile support cause gpu lockup in Dishonored wine.
Summary: [bisected] r600g: add htile support cause gpu lockup in Dishonored wine.
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/Gallium/r600 (show other bugs)
Version: git
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Default DRI bug account
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-14 15:39 UTC by Thomas Lindroth
Modified: 2013-05-06 14:46 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
dmesg, xorg.log (104.45 KB, text/plain)
2013-02-14 15:39 UTC, Thomas Lindroth
Details
workaround (3.57 KB, patch)
2013-02-20 21:30 UTC, Jerome Glisse
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Lindroth 2013-02-14 15:39:09 UTC
Created attachment 74826 [details]
dmesg, xorg.log

Commit 6532eb17baff6e61b427f29e076883f8941ae664 r600g: add htile support v16 cause a gpu lockup on juniper with Dishonored in wine. https://www.dropbox.com/s/7w140vtr48xb8vt/Dishonored.trace.bz2 this trace reproduce the error.

bug #59592 is similar but I should be using the fix from that bug already.

mesa, libdrm, xf86-video-ati and linus kernel are all git from yesterday. 3.0 Mesa 9.2-devel (git-ce3dfa1)

Option "ColorTiling" "true"
Option "ColorTiling2D" "true"
Option "SwapbuffersWait" "false"
Option "EnablePageFlip" "true"

configure --disable-dependency-tracking --enable-dri --enable-glx --enable-texture-float --disable-debug --enable-egl --disable-gbm --disable-gles1 --disable-gles2 --enable-glx-tls --disable-osmesa --enable-asm --enable-shared-glapi --with-dri-drivers= --with-gallium-drivers=,swrast,r600 --with-egl-platforms=x11 --enable-gallium-egl --disable-d3d1x --disable-gallium-g3dvl --enable-gallium-llvm --disable-openvg --disable-vdpau --disable-xvmc --enable-shared-dricore
Comment 1 Jerome Glisse 2013-02-14 15:41:55 UTC
Does it happen without --enable-gallium-llvm also does it happen when running with R600_HTILE=0 env variable ?
Comment 2 Thomas Lindroth 2013-02-15 11:06:59 UTC
It happens with --disable-gallium-llvm and/or R600_HTILE=0. It doesn't happen with R600_HYPERZ=0.
Comment 3 Alex Deucher 2013-02-20 21:23:58 UTC
Does the patch on bug 60969 help?
Comment 4 Jerome Glisse 2013-02-20 21:30:15 UTC
Created attachment 75208 [details] [review]
workaround

Most likely does not help (not for me at least). However this patch should work around the issue.
Comment 5 Thomas Lindroth 2013-02-21 20:07:41 UTC
The workaround patch posted here prevents the lockup in dishonored. The one in bug 60969 doesn't fix dishonored but it prevents an other lockup in google-earth. I assumed it was the same issue. Lockups in darwinia and multiwinia has also been fixed but I don't know which of the patches did that.
Comment 6 Jerome Glisse 2013-04-24 19:23:36 UTC
Please check if below patch fix the issue:

http://people.freedesktop.org/~glisse/0001-r600g-force-full-cache-for-hyperz.patch
Comment 7 Jerome Glisse 2013-05-06 14:46:46 UTC
Closing pushed to master and going to push to 9.1


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.